Skip to main content
POST
/
v1
/
table
/
{id}
/
backfill_column
Error
A valid request URL is required to generate request examples
{
  "job_id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json
column
string
required

Column name to backfill

identity
object

Identity information of a request.

id
string[]

Table identifier path (namespace + table name)

where
string | null

Optional WHERE clause filter

concurrency
integer | null

Optional concurrency override

intra_applier_concurrency
integer | null

Optional intra-applier concurrency override

min_checkpoint_size
integer | null

Optional minimum checkpoint size

max_checkpoint_size
integer | null

Optional maximum checkpoint size

batch_checkpoint_flush_interval_seconds
number | null

Optional batch checkpoint flush interval in seconds

read_version
integer | null

Optional table version to read from

task_size
integer | null

Optional task size

num_frags
integer | null

Optional number of fragments

checkpoint_size
integer | null

Optional checkpoint size

commit_granularity
integer | null

Optional commit granularity

cluster
string | null

Optional cluster name

manifest
string | null

Optional manifest name

Response

Backfill job accepted

job_id
string
required

The job ID for tracking the backfill job